docs

# WebApp

external class WebApp
Content copied to clipboard

## Constructors

WebApp
Link copied to clipboard
fun WebApp ()
Content copied to clipboard

## Functions

close
Link copied to clipboard
fun close ()
Content copied to clipboard
expand
Link copied to clipboard
fun expand ()
Content copied to clipboard
offEvent
Link copied to clipboard
fun offEvent (type: String , callback: () -> Unit )
Content copied to clipboard
offEventWithBoolean
Link copied to clipboard
fun offEventWithBoolean (type: String , callback: ( ViewportChangedData ) -> Unit )
Content copied to clipboard
ready
Link copied to clipboard
fun ready ()
Content copied to clipboard
sendData
Link copied to clipboard
fun sendData (data: String )
Content copied to clipboard

## Properties

colorSchemeRaw
Link copied to clipboard
val colorSchemeRaw : String
Content copied to clipboard
initData
Link copied to clipboard
val initData : String
Content copied to clipboard
initDataUnsafe
Link copied to clipboard
val initDataUnsafe : WebAppInitData
Content copied to clipboard
isExpanded
Link copied to clipboard
val isExpanded : Boolean
Content copied to clipboard
mainButton
Link copied to clipboard
val mainButton : MainButton
Content copied to clipboard
themeParams
Link copied to clipboard
val themeParams : ThemeParams
Content copied to clipboard
viewportHeight
Link copied to clipboard
val viewportHeight : Float
Content copied to clipboard
viewportStableHeight
Link copied to clipboard
val viewportStableHeight : Float
Content copied to clipboard

## Extensions

colorScheme
Link copied to clipboard
val WebApp . colorScheme : ColorScheme
Content copied to clipboard
isInitDataSafe
Link copied to clipboard
fun WebApp . isInitDataSafe (botToken: String ): Boolean
Content copied to clipboard
onEvent
Link copied to clipboard
fun WebApp . onEvent (type: EventType , eventHandler: EventHandler ): () -> Unit
Content copied to clipboard
fun WebApp . onEvent (type: EventType.ViewportChanged , eventHandler: ViewportChangedEventHandler ): ( ViewportChangedData ) -> Unit
Content copied to clipboard
onMainButtonClicked
Link copied to clipboard
fun WebApp . onMainButtonClicked (eventHandler: EventHandler ): () -> Unit
Content copied to clipboard
onThemeChanged
Link copied to clipboard
fun WebApp . onThemeChanged (eventHandler: EventHandler ): () -> Unit
Content copied to clipboard
onViewportChanged
Link copied to clipboard
fun WebApp . onViewportChanged (eventHandler: ViewportChangedEventHandler ): ( ViewportChangedData ) -> Unit
Content copied to clipboard